Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal3d.grid
Class GridDefaultTransform

    java.lang.Object
      sim.portrayal3d.grid.GridDefaultTransform

public class GridDefaultTransform
extends java.lang.Object

See Also:
  `sim.portrayal.GridDefaultTransform`

Constructor Summary
`GridDefaultTransform()`

Method Summary
`static javax.media.j3d.Transform3D` | `getDefaultGrid2DTransform(double width, double height)`
`static javax.media.j3d.Transform3D` | `getDefaultGrid2DTransform(double width, double height, double scale)`
`static javax.media.j3d.Transform3D` | `getDefaultGrid3DTransform(double width, double height, double length)`
`static javax.media.j3d.Transform3D` | `getDefaultGrid3DTransform(double width, double height, double length, double scale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridDefaultTransform

    public GridDefaultTransform()

Method Detail

### getDefaultGrid3DTransform

    public static javax.media.j3d.Transform3D getDefaultGrid3DTransform(double width,
                                                                        double height,
                                                                        double length,
                                                                        double scale)

### getDefaultGrid3DTransform

    public static javax.media.j3d.Transform3D getDefaultGrid3DTransform(double width,
                                                                        double height,
                                                                        double length)

### getDefaultGrid2DTransform

    public static javax.media.j3d.Transform3D getDefaultGrid2DTransform(double width,
                                                                        double height,
                                                                        double scale)

### getDefaultGrid2DTransform

    public static javax.media.j3d.Transform3D getDefaultGrid2DTransform(double width,
                                                                        double height)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD